- Qt 5.5
- Qt Widgets
- C++ Classes
- QListWidgetItem
- Qt 5.5.1 Reference Documentation

# Obsolete Members for QListWidgetItem

The following members of class QListWidgetItem are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` QColor | backgroundColor() const
`(obsolete)` virtual void | setBackgroundColor(const QColor & color)
`(obsolete)` void | setTextColor(const QColor & color)
`(obsolete)` QColor | textColor() const

## Member Function Documentation

### QColor QListWidgetItem::backgroundColor() const

This function is deprecated. Use background() instead.

See also setBackgroundColor().

### `[virtual]` void QListWidgetItem::setBackgroundColor(const QColor & color)

This function is deprecated. Use setBackground() instead.

See also backgroundColor().

### void QListWidgetItem::setTextColor(const QColor & color)

This function is deprecated. Use setForeground() instead.

See also textColor().

### QColor QListWidgetItem::textColor() const

Returns the color used to display the list item's text.

This function is deprecated. Use foreground() instead.

See also setTextColor().